### Method

# Soup HSTSEnforcer set_session_policy

#### Declaration [src]

    void
    soup_hsts_enforcer_set_session_policy (
      SoupHSTSEnforcer* hsts_enforcer,
      const char* domain,
      gboolean include_subdomains
    )

#### Description [src]

Sets a session policy for `domain`.

A session policy is a policy that is permanent to the lifetime of `hsts_enforcer`‘s `SoupSession` and doesn’t expire.

#### Parameters

`domain` | `const char*`
| Policy domain or hostname.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`include_subdomains` | `gboolean`
| `TRUE` if the policy applies on sub domains.